<!-- Main Content -->
<section class="section">
  <div class="section-header">
    <h1>Users List</h1>
    <!-- <button class="btn btn-primary ml-2" onclick="history.back()"><i class="fa fa-arrow-left"
        aria-hidden="true"></i></button> -->

  </div>
  <div class="row" id="tableID">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">User list</h4>

        </div>
        <div class="table-responsive px-3">
          <table id="table_get" class="table table-striped table-bordered" style="width: 100%">
            <thead>
              <tr>
                <th>S.No</th>
                <th>Name</th>
                <th>E-mail</th>
                <th>Mobile</th>
                <th>Image</th>
                <th>Status</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <% users.forEach(( data, i)=>{%>
                <tr>
                  <td>
                    <%= i+1%>
                  </td>
                  <td>
                    <%= data?.name%>
                  </td>
                  <td>
                    <%= data?.email%>
                  </td>
                  <td>
                    <%= data?.mobile%>
                  </td>
                  <td>
                    <% if(data?.image){ %>
                      <img id="blah" src="/images/profile/<%= data?.image %>" alt="your image" width="50" height="50" />
                      <% }else{ %>
                        <img id="blah" src="/assets/img/dummy-user.png" alt="your image" width="50" height="50" />
                        <% } %>
                  </td>
                  <td>
                    <div class="custom-control custom-control-primary custom-switch">
                      <input onclick="status(this)" type="checkbox" class="custom-control-input" id="<%= data?.id %>"
                        <%=data?.status==1? "checked" :"" %> >
                      <label class="custom-control-label" for="<%= data?.id %>"></label>
                    </div>
                  </td>
                  <!-- <td>
                    <div class="custom-control custom-control-primary custom-switch">
                      <input onclick="status(this)" type="checkbox" class="custom-control-input" id="<%= data?.id %>"
                        <%= data?.status === 1 ? "checked" : "" %> >
                      <label class="custom-control-label" for="<%= data?.id %>"></label>
                    </div>
                  </td> -->
                  
                  <td>
                    <!-- <a href="/deleteuser/" onclick="confirmDelete('')"class=" btn
                                                btn-success"><i class="icon-pencil7">Delete</i></a> -->
                    <button 
                    onclick="deleteUser('<%= data?.id %>')"
                  id="deleteuser"
                  class="btn btn-danger deleteuser"
                  >Delete</button
                >

                    <!-- <button class="btn btn-danger deleteuser" data-id="<%= data?.id %>">
                      Delete
                    </button> -->
                    <!-- <a href="/adduser" class="btn btn-success">Add</a> -->
                    <!-- <a
                    href="/admin/updateUser/<%= data?.id%>"
                    class="btn btn-primary"
                    >Edit</a
                  > -->
                    <a href="/admin/userDetails/<%= data?.id%>" class="btn btn-success"><i class="fas fa-eye"></i></a>
                  </td>
                </tr>
                <% })%>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>

<!-- main content End -->
<script src="../assets/js/myScripts.js"></script>


